5.2.0-git
04/25/2014

[#4705] Support for password expiration in Samba authentication drivers
Summary Support for password expiration in Samba authentication drivers
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester h35.office (at) bmlv (dot) gv (dot) at
Created 11/28/2006 (2705 days ago)
Due
Updated 10/29/2007 (2370 days ago)
Assigned
Resolved
Milestone
Patch No

History
10/29/2007 03:00:01 AM Chuck Hagenbuch Version ⇒ HEAD
 
12/13/2006 05:36:37 PM Jan Schneider Comment #5
State ⇒ Accepted
Summary ⇒ Support for password expiration in Samba authentication drivers
Reply to this comment
Any additional information, or even better patches, will speed up 
implemention.
11/28/2006 04:04:01 PM Jan Schneider Comment #4 Reply to this comment
Not to passwd (the horde application), but to a password changing dialog, yes.
11/28/2006 02:37:47 PM h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #3 Reply to this comment
I'm using the smbauth module for Authentication. How can i perform a
password must change  (redirecting user to passwd) to change his
password?
You can't, this has not yet been implemented in the smb or smbclient drivers.
Ok,

When im using the ldap for Authentication. Would be the user 
redirected to the passwd side?
11/28/2006 01:25:37 PM Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I'm using the smbauth module for Authentication. How can i perform a
password must change  (redirecting user to passwd) to change his
password?
You can't, this has not yet been implemented in the smb or smbclient drivers.
11/28/2006 01:12:07 PM h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #1
State ⇒ New
Queue ⇒ Horde Base
Summary ⇒ Password must change
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
I'm using the smbauth module for Authentication. How can i perform a 
password must change  (redirecting user to passwd) to change his 
password?

Is that available in hooks??



At the moment the user cannot change their password because of 
"NT_STATUS_PASSWORD_MUST_CHANGE"



Thx